Debian Bug report logs - #718043
movabletype-opensource: [INTL:it] Italian translation of debconf messages

version graph

Package: movabletype-opensource; Maintainer for movabletype-opensource is Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>; Source for movabletype-opensource is src:movabletype-opensource.

Reported by: Beatrice Torracca <beatricet@libero.it>

Date: Sun, 28 Jul 2013 07:15:01 UTC

Severity: wishlist

Tags: l10n, patch

Fixed in version movabletype-opensource/5.2.7+dfsg-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>:
Bug#718043; Package movabletype-opensource. (Sun, 28 Jul 2013 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
New Bug report received and forwarded. Copy sent to Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>. (Sun, 28 Jul 2013 07:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: movabletype-opensource: [INTL:it] Italian translation of debconf messages
Date: Sun, 28 Jul 2013 09:13:27 +0200
[Message part 1 (text/plain, inline)]
Package: movabletype-opensource
Severity: wishlist
Tags: l10n patch

Hi.

Please find attached the Italian translation of movabletype-opensource
debconf messages proofread by the Italian localization team.

Please include it in your next upload.

Thanks,
Beatrice
[it.po (text/x-po, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>:
Bug#718043; Package movabletype-opensource. (Mon, 19 Aug 2013 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>. (Mon, 19 Aug 2013 19:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 718043@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Beatrice Torracca <beatricet@libero.it>, 718043@bugs.debian.org
Subject: Re: [pkg-mt-om-devel] Bug#718043: movabletype-opensource: [INTL:it] Italian translation of debconf messages
Date: Mon, 19 Aug 2013 20:49:00 +0100
On Sun, Jul 28, 2013 at 09:13:27AM +0200, Beatrice Torracca wrote:
> Package: movabletype-opensource
> Severity: wishlist
> Tags: l10n patch
> 
> Hi.
> 
> Please find attached the Italian translation of movabletype-opensource
> debconf messages proofread by the Italian localization team.

Hi,

Thanks for your work! Unfortunately, after I install the file into
the source tree and run debconf-updatepo, most of the translations get
lost; I think this is because there are stray empty quotes - ie the
file is malformed. Can you heck/fix this please?

Cheers,
Dominic.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>:
Bug#718043; Package movabletype-opensource. (Mon, 19 Aug 2013 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
Extra info received and forwarded to list. Copy sent to Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>. (Mon, 19 Aug 2013 20:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 718043@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: Dominic Hargreaves <dom@earth.li>
Cc: 718043@bugs.debian.org
Subject: Re: [pkg-mt-om-devel] Bug#718043: movabletype-opensource: [INTL:it] Italian translation of debconf messages
Date: Mon, 19 Aug 2013 22:18:00 +0200
[Message part 1 (text/plain, inline)]
On Monday 19 August 2013, at 20:49 +0100, Dominic Hargreaves wrote:

Hi,

> Thanks for your work! Unfortunately, after I install the file into
> the source tree and run debconf-updatepo, most of the translations get
> lost; I think this is because there are stray empty quotes - ie the
> file is malformed. Can you heck/fix this please?

thanks for the feedback.

if you are thinking about the lines like
msgid ""
...
msgstr ""

those are normal for multi-line messages and should not pose a
problem. It looks to me that the problem could be that my translation
was based on an old version of the original pot file.

I downloaded the latest version online from:
http://i18n.debian.org/material/po/unstable/main/m/movabletype-opensource/debian/po/movabletype-opensource_5.1.4+dfsg-5_templates.pot.gz

and I updated my translation that is attached to this message. I also
checked it with msgfmt so it should be properly formed.

I hope this might do the trick.

Thanks,
beatrice
[it.po (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>:
Bug#718043; Package movabletype-opensource. (Wed, 21 Aug 2013 23:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>. (Wed, 21 Aug 2013 23:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 718043@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Beatrice Torracca <beatricet@libero.it>, 718043@bugs.debian.org
Subject: Re: [pkg-mt-om-devel] Bug#718043: Bug#718043: movabletype-opensource: [INTL:it] Italian translation of debconf messages
Date: Thu, 22 Aug 2013 00:03:59 +0100
On Mon, Aug 19, 2013 at 10:18:00PM +0200, Beatrice Torracca wrote:
> On Monday 19 August 2013, at 20:49 +0100, Dominic Hargreaves wrote:
> 
> Hi,
> 
> > Thanks for your work! Unfortunately, after I install the file into
> > the source tree and run debconf-updatepo, most of the translations get
> > lost; I think this is because there are stray empty quotes - ie the
> > file is malformed. Can you heck/fix this please?
> 
> thanks for the feedback.
> 
> if you are thinking about the lines like
> msgid ""
> ...
> msgstr ""
> 
> those are normal for multi-line messages and should not pose a
> problem. It looks to me that the problem could be that my translation
> was based on an old version of the original pot file.
> 
> I downloaded the latest version online from:
> http://i18n.debian.org/material/po/unstable/main/m/movabletype-opensource/debian/po/movabletype-opensource_5.1.4+dfsg-5_templates.pot.gz
> 
> and I updated my translation that is attached to this message. I also
> checked it with msgfmt so it should be properly formed.
> 
> I hope this might do the trick.

It looks better, but debconf-updatepo still says:

it.po:38:2: invalid multibyte sequence
it.po:38:45: invalid multibyte sequence
it.po:39:64: invalid multibyte sequence
it.po:53:18: invalid multibyte sequence
it.po:72:29: invalid multibyte sequence
it.po:74:47: invalid multibyte sequence
it.po:74:51: invalid multibyte sequence
it.po:113:11: invalid multibyte sequence
it.po:115:21: invalid multibyte sequence
it.po:127:62: invalid multibyte sequence
it.po:128:6: invalid multibyte sequence
it.po:129:28: invalid multibyte sequence
msgmerge: found 12 fatal errors

which I've not seen before. It turned out that it even though it declared
a charset of UTF-8 it was encoded in ISO-8859-1, so I converted that
and now it's pending in git.

Thanks!
Dominic.



Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 21 Aug 2013 23:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>:
Bug#718043; Package movabletype-opensource. (Thu, 22 Aug 2013 04:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
Extra info received and forwarded to list. Copy sent to Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>. (Thu, 22 Aug 2013 04:24:04 GMT) Full text and rfc822 format available.

Message #27 received at 718043@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: 718043@bugs.debian.org
Subject: Re: [pkg-mt-om-devel] Bug#718043: Bug#718043: movabletype-opensource: [INTL:it] Italian translation of debconf messages
Date: Thu, 22 Aug 2013 06:21:27 +0200
On Thursday 22 August 2013, at 00:03 +0100, Dominic Hargreaves wrote:
> which I've not seen before. It turned out that it even though it declared
> a charset of UTF-8 it was encoded in ISO-8859-1, so I converted that
> and now it's pending in git.


I will check that too from now on.

Thanks for the extra work! 

beatrice.



Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sat, 14 Sep 2013 18:06:05 GMT) Full text and rfc822 format available.

Notification sent to Beatrice Torracca <beatricet@libero.it>:
Bug acknowledged by developer. (Sat, 14 Sep 2013 18:06:05 GMT) Full text and rfc822 format available.

Message #32 received at 718043-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 718043-close@bugs.debian.org
Subject: Bug#718043: fixed in movabletype-opensource 5.2.7+dfsg-1
Date: Sat, 14 Sep 2013 18:03:03 +0000
Source: movabletype-opensource
Source-Version: 5.2.7+dfsg-1

We believe that the bug you reported is fixed in the latest version of
movabletype-opensource, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 718043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated movabletype-opensource package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Sep 2013 18:48:35 +0100
Source: movabletype-opensource
Binary: movabletype-opensource movabletype-plugin-core
Architecture: source all
Version: 5.2.7+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Movable Type and OpenMelody team <pkg-mt-om-devel@lists.alioth.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 movabletype-opensource - Well-known blogging engine
 movabletype-plugin-core - Core Movable Type plugins
Closes: 718043 722917
Changes: 
 movabletype-opensource (5.2.7+dfsg-1) unstable; urgency=low
 .
   * Include updated watch file from Bart Martens
   * Add Italian debconf translation (Closes: #718043)
   * New upstream release (Closes: #722917)
   * Drop movabletype-plugin-zemanta package, no longer provided by
     upstream
Checksums-Sha1: 
 bd19e1c22dd497d373228ec5360290e9d66a1e8b 1595 movabletype-opensource_5.2.7+dfsg-1.dsc
 8ad1dcad0c1c11178c724379b2bcf5699cbe7935 7972994 movabletype-opensource_5.2.7+dfsg.orig.tar.gz
 9113308bd88fa495342167d4ef996e1735b94b9e 38097 movabletype-opensource_5.2.7+dfsg-1.debian.tar.gz
 0b51ae1b2b59ab5f71850dcced2cc64c1b5ba0d7 2995968 movabletype-opensource_5.2.7+dfsg-1_all.deb
 9c61bd26c626127ff56be84a7868547c146ced22 631330 movabletype-plugin-core_5.2.7+dfsg-1_all.deb
Checksums-Sha256: 
 720b2a177c9d4cdeb67ebae866c8d5e74048476cf91f5fd64065981701e76cd7 1595 movabletype-opensource_5.2.7+dfsg-1.dsc
 0cba26d18e7b564ff0e007f950f8bae7ba51637d6a8846183056f1a42ef89d3f 7972994 movabletype-opensource_5.2.7+dfsg.orig.tar.gz
 5aed31adfc18ee1a6be17c01a74551a6ad6e8435c0306dd8d93f8c973ab8e3cb 38097 movabletype-opensource_5.2.7+dfsg-1.debian.tar.gz
 67dbed31945c6f19c0e3fb3a5c6d705a8be4869b33ac3ad6c163d5ec8b6e745f 2995968 movabletype-opensource_5.2.7+dfsg-1_all.deb
 315b2f8a1f4bb763e705daa0ceb3be088abde5eefa656a7d1f269744d181dde4 631330 movabletype-plugin-core_5.2.7+dfsg-1_all.deb
Files: 
 826f3a675ee3dbd2f9908175ad78153b 1595 web optional movabletype-opensource_5.2.7+dfsg-1.dsc
 4a622b244a53103768b1416a32e817ae 7972994 web optional movabletype-opensource_5.2.7+dfsg.orig.tar.gz
 6a620cc301a9051bff89e75e6514e46b 38097 web optional movabletype-opensource_5.2.7+dfsg-1.debian.tar.gz
 246b929ffa378df845b956b3b86795f9 2995968 web optional movabletype-opensource_5.2.7+dfsg-1_all.deb
 a9dca078bd20ca4fec947e75dae81e05 631330 web optional movabletype-plugin-core_5.2.7+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iD8DBQFSNKIIYzuFKFF44qURAmDwAJ9d8pFuGKpRr9KO2+b26CUvWqevzgCgkrN9
T7Wmwoth0xpKob/a3+j16bQ=
=/P06
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Oct 2013 07:31:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:16:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.